ReferenceAutomationsConnectionsId

    Update delivery connection or rotate write-only credentials

    Update delivery connection or rotate write-only credentials - PUT /automations/connections/{id}. DocDealer REST API reference.

    PUT
    /automations/connections/{id}

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Path Parameters

    id*string
    Formatuuid

    Request Body

    application/json

    TypeScript Definitions

    Use the request body type in TypeScript.

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X PUT "https://example.com/automations/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "configuration": {      "baseUrl": "http://example.com",      "kind": "https"    },    "enabled": true,    "expectedRevision": 0,    "name": "string"  }'
    {  "configuration": {    "baseUrl": "http://example.com",    "idempotencyHeader": "string",    "kind": "https"  },  "enabled": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "https",  "name": "string",  "revision": 0}